> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Set Room Notifications > Set the notification settings of a specific room. ### Changelog | Version | Description | | ------- | ----------- | |0.63.0 | Added | ## OpenAPI ````json POST /api/v1/rooms.saveNotification { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/rooms.saveNotification": { "post": { "tags": [ "Rooms" ], "summary": "Set Room Notifications", "description": "Set the notification settings of a specific room.\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n|0.63.0 | Added |", "operationId": "post-api-v1-rooms.saveNotification", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "roomId": { "type": "string", "description": "The channel's id" }, "notifications": { "type": "object", "description": "The object that contains the following parameters.", "properties": { "desktopNotifications": { "type": "string", "description": "The value for desktop notifications. The options are: \n- nothing\n- mentions\n- all\n- default" }, "disableNotifications": { "type": "string", "description": "The value to disable/enable channel's notifications. \n\nThe options are:\n- 0\n- 1" }, "emailNotifications": { "type": "string", "description": "The value for email notifications. \nThe options are:\n- nothing\n- mentions\n- all\n- default" }, "audioNotificationValue": { "type": "string", "description": "The value for audio notification sound." }, "desktopNotificationDuration": { "type": "string", "description": "The value for desktop notification duration." }, "audioNotifications": { "type": "string", "description": "The value for audio notifications. \n\nThe options are:\n- nothing\n- mentions\n- all\n- default" }, "unreadAlert": { "type": "string", "description": "The value for unread alerts notifications. \n\nThe options are:\n- nothing\n- mentions\n- all\n- default" }, "hideUnreadStatus": { "type": "string", "description": "The value to disable/enable number of unread messages. \nThe options are:\n- 0\n- 1" }, "mobilePushNotifications": { "type": "string", "description": "The value for mobile push notifications. \n\nThe options are:\n- nothing\n- mentions\n- all\n- default" } } } }, "required": [ "roomId", "notifications" ] }, "examples": { "Example": { "value": { "roomId": "5of4weEXaH7yncxz9", "notifications": { "desktopNotifications": "all", "disableNotifications": 0, "emailNotifications": "nothing", "audioNotificationValue": "beep", "desktopNotificationDuration": "2", "audioNotifications": "all", "unreadAlert": "nothing", "hideUnreadStatus": 0, "mobilePushNotifications": "mentions" } } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": true } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````